package com.uas.account.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.uas.account.dao.TokenDao;
import com.uas.account.entity.Token;

@Service
public class TokenServiceImpl implements TokenService {

	@Autowired
	private TokenDao tokenDao;

	@Override
	public void save(Token token) {
		tokenDao.save(token);
	}

	@Override
	public Token findOne(String id) {
		return tokenDao.findOne(id);
	}

	@Override
	public void delete(String id) {
		tokenDao.delete(id);
	}
}
